# List account images

List all account images for the ShipEngine account

Endpoint: GET /v1/account/settings/images
Version: 1.1.202604070904
Security: api_key

## Response 200 fields (application/json):

  - `images` (array, required)
    Image List

  - `images.label_image_id` (string)
    A string that uniquely identifies the image. This ID is generated by ShipEngine when the image is uploaded.
    Example: "img_DtBXupDBxREpHnwEXhTfgK"

  - `images.name` (string)
    A human readable name for the image.
    Example: "My logo"

  - `images.is_default` (boolean)
    Indicates whether this image is set as default.

  - `images.image_content_type` (string)
    The file type of the image.
    Enum: "image/png", "image/jpeg"

  - `images.image_data` (string)
    A base64 encoded string representation of the image.
    Example: "iVBORw0KGgoAAAANSUhEUgAAABkAAAAZCAYAAADE6YVjAAAAAXNSR0IArs4c6QAAAiVJREFUSEu91j3IeVEcB/CvSTIoBrFSikEZMdjsjExeUspgUEp5SUpeshrIgEFJJmWwMZHJQGHDhJSXTPfpnH/8ebzd56HnN93u7ZzP/f1+55x7Ob1ejxEKheByufh0HI9HrFYrcKbTKUMu5HI5BALBx5zNZoPxeAySAGc2mzF8Pp/e+BR0Ash8u93uHyKVSnH54J2Mvs8zn8//I6RO70L3xt8g70CPXvAu8hvoWQUeIj+BXpX4KcIGegWQOV4izyA2AGvkHsQW+BFyCUkkEiwWC9Ybl1W5Ls8ZMoAABCIbmE3cINFoFMFgEEajEeVyGSKRCJ1OB3q9ns5nMpmQTCaxXq9/l8loNEKj0YDX66UACYvFQq9brRYcDgdUKhU9RD/SEwLm83lEIhGUSiX0+33E4/GrU5otRMs1mUyYbDYLu90OhUJBMzhlZbPZ4Pf7odFo4HQ6b1rABqJIvV5nttstLc0pSIn2+z0tTy6XQ6FQoI/a7TZ0Ot0V9gqiiMFgYKrVKm0yieVyCZ/PB6vVSpF0Ok2zJHEqIY/HYw1RxOfzMYlE4jwoEAhAJpPBbDZf9eBwOCCVSsHtdp9f6FJ6egorlUqmVqvRfjSbTXS7XXg8nptP8Svk0RF01ROtVguSUTgchlgsPpeOZBaLxTAcDlEsFpHJZPC9XM8yoshgMGBCoRBdQWTCU7hcLjohWb5kM6rValQqlfMKfLbbb77xf/K38hf/XV9ilOpnLqvnogAAAABJRU5ErkJggg=="

  - `images.created_at` (string)
    The date and time that the image was created in ShipEngine.
    Example: "2018-09-23T15:00:00.000Z"

  - `images.modified_at` (string)
    The date and time that the image was modified in ShipEngine.
    Example: "2018-09-23T15:00:00.000Z"

  - `total` (integer, required)
    The total number of items across all pages of results
    Example: 2750

  - `page` (integer, required)
    The current page number of results.  For example, if there are 80 results, and the page size is 25, then page could be 1, 2, 3, or 4.  The first three pages would contain 25 items each, and the fourth page would contain the five remaining items.
    Example: 1

  - `pages` (integer, required)
    The total number of pages of results.  For example, if there are 80 results, and the page size is 25, then pages would be 4.  The first three pages would contain 25 items each, and the fourth page would contain the five remaining items.  If there are no results, then pages will be zero.
    Example: 4

  - `links` (object, required)
    Helpful links to other pages of results

  - `links.first` (object, required)
    The link to the first page of results.  This object will _always_ have an href field. If there are no results, then the first page will contain an empty array of items.

  - `links.first.href` (string, required)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.first.type` (string)
    The type of resource, or the type of relationship to the parent resource

  - `links.last` (object, required)
    The link to the final page of results.  This object will _always_ have an href field. If there are no results, then the final page will contain an empty array of items.

  - `links.last.href` (string, required)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.last.type` (string)
    The type of resource, or the type of relationship to the parent resource

  - `links.prev` (object, required)
    The link to the previous page of results.  The href field will only be set when the page is 2 or greater.

  - `links.prev.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.prev.type` (string)
    The type of resource, or the type of relationship to the parent resource

  - `links.next` (object, required)
    The link to the next page of results.  The href field will only be set when the page is less than pages.

  - `links.next.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `links.next.type` (string)
    The type of resource, or the type of relationship to the parent resource

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, or the ShipEngine API itself.
    Enum: "carrier", "order_source", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned", "file_not_found", "shipping_rule_not_found", "service_not_determined", "no_rates_returned", "funding_source_registration_in_progress", "insurance_failure", "funding_source_missing_configuration", "funding_source_error", "freight_connection_inactive", "freight_provider_id_required", "freight_provider_already_connected", "freight_shipment_not_found", "freight_tracking_not_available", "freight_tracking_not_found", "freight_shipment_not_batchable"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.carrier_id` (string)
    A string that uniquely identifies the carrier that generated the error.
    Example: "se-28529731"

  - `errors.carrier_code` (string)
    The name of the shipping carrier that generated the error, such as fedex, dhl_express, stamps_com, etc.
    Example: "dhl_express"

  - `errors.field_name` (string)
    The name of the field that caused the error
    Example: "shipment.ship_to.phone_number"


